Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## probability_distribution
Class ExponentialDist

    java.lang.Object
      probability_distribution.ProbabilityDist
          probability_distribution.ExponentialDist

    public class ExponentialDist

extends ProbabilityDist

This class implements the Exponential distribution. For example, producing a collection of 100 numbers by invoking getNextValue() method 100 times, will produce a collection of numbers that conform to an exponential distribution.

Author:
  Majd Kokaly

Constructor Summary
`ExponentialDist(double lambda)` The default constructor

Method Summary
`double` | `FInverse(double x)` Every Probability Distribution should include a function which returns the inverse of probability function
`static void` | `main(java.lang.String[] args)`

Methods inherited from class probability_distribution.ProbabilityDist
`getNextValue, getTimeToNextEvent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExponentialDist

    public ExponentialDist(double lambda)

  The default constructor

  Parameters:
    `lambda` - (1/lambda) is the mean of this distribution

Method Detail

### FInverse

    public double FInverse(double x)

  Description copied from class: `ProbabilityDist`
  Every Probability Distribution should include a function which returns the inverse of probability function

  Specified by:
    `FInverse` in class `ProbabilityDist`
  Parameters:
    `y` - is double
  Returns:
    x such that y = F(x) and f is the Cumulative distribution function

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD